"use strict";
/*---------------------------------------------------------------------------------------------
 * Copyright (c) Bentley Systems, Incorporated. All rights reserved.
 * See LICENSE.md in the project root for license terms and full copyright notice.
 *--------------------------------------------------------------------------------------------*/
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.FallbackUi = void 0;
const itwinui_react_1 = require("@itwin/itwinui-react");
const classnames_1 = __importDefault(require("classnames"));
const react_1 = __importDefault(require("react"));
const react_helmet_async_1 = require("react-helmet-async");
const sanitize_html_1 = __importDefault(require("sanitize-html"));
const FallbackUi_module_scss_1 = __importDefault(require("./FallbackUi.module.scss"));
const FallbackUi = ({ imageSource, imageAlt, className, title, text, withHelmet, }) => {
    const innerText = sanitize_html_1.default(text);
    return (react_1.default.createElement("div", { className: classnames_1.default(FallbackUi_module_scss_1.default.container, className) },
        withHelmet && react_1.default.createElement(react_helmet_async_1.Helmet, { title: title }),
        react_1.default.createElement("div", { className: FallbackUi_module_scss_1.default.content },
            react_1.default.createElement("img", { src: imageSource, alt: imageAlt, "data-testid": "test-fallback-img" }),
            react_1.default.createElement("p", { className: FallbackUi_module_scss_1.default.title, "data-testid": "test-fallback-title" },
                react_1.default.createElement(itwinui_react_1.Title, null, title)),
            react_1.default.createElement("p", { className: FallbackUi_module_scss_1.default.message, "data-testid": "test-fallback-text" },
                react_1.default.createElement(itwinui_react_1.Subheading, { dangerouslySetInnerHTML: { __html: innerText } })))));
};
exports.FallbackUi = FallbackUi;
//# sourceMappingURL=FallbackUi.js.map